"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.intlLocal = void 0;
var _lowcodeEngine = require("@gant-lowcode/lowcode-engine");
var _enUS = _interopRequireDefault(require("./en-US.json"));
var _zhCN = _interopRequireDefault(require("./zh-CN.json"));
var intlLocal = exports.intlLocal = function intlLocal() {
  var _common$utils$createI, _common$utils;
  var _ref = ((_common$utils$createI = (_common$utils = _lowcodeEngine.common.utils).createIntl) === null || _common$utils$createI === void 0 ? void 0 : _common$utils$createI.call(_common$utils)) || {},
    getLocale = _ref.getLocale;
  var locale = (getLocale === null || getLocale === void 0 ? void 0 : getLocale()) || 'zh-CN';
  var localeSource = {
    'en-US': _enUS["default"],
    'zh-CN': _zhCN["default"]
  };
  return localeSource[locale];
};