"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _input = _interopRequireDefault(require("@alifd/next/lib/input"));
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var _react = _interopRequireWildcard(require("react"));
require("./index.less");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var TextAreaSetter = exports["default"] = /*#__PURE__*/function (_PureComponent) {
  function TextAreaSetter() {
    var _this;
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _PureComponent.call.apply(_PureComponent, [this].concat(args)) || this;
    _this.state = {
      setterValue: null
    };
    return _this;
  }
  (0, _inheritsLoose2["default"])(TextAreaSetter, _PureComponent);
  var _proto = TextAreaSetter.prototype;
  _proto.render = function render() {
    var _this$props = this.props,
      _onChange = _this$props.onChange,
      placeholder = _this$props.placeholder,
      value = _this$props.value;
    return /*#__PURE__*/_react["default"].createElement(_input["default"].TextArea, {
      value: value || '',
      onChange: function onChange(val) {
        return _onChange(val);
      },
      placeholder: placeholder,
      style: {
        width: '100%'
      }
    });
  };
  return TextAreaSetter;
}(_react.PureComponent);
TextAreaSetter.defaultPorps = {
  onChange: function onChange() {
    return undefined;
  },
  value: undefined,
  defaultValue: null,
  placeholder: '请输入'
};
TextAreaSetter.displayName = 'TextAreaSetter';