"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var _react = _interopRequireWildcard(require("react"));
var _lowcodeEngine = require("@gant-lowcode/lowcode-engine");
require("./index.less");
var _excluded = ["prop"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var SetterVariable = exports["default"] = /*#__PURE__*/function (_PureComponent) {
  function SetterVariable() {
    return _PureComponent.apply(this, arguments) || this;
  }
  (0, _inheritsLoose2["default"])(SetterVariable, _PureComponent);
  SetterVariable.show = function show(params) {
    var field = params.prop,
      res = (0, _objectWithoutPropertiesLoose2["default"])(params, _excluded);
    _lowcodeEngine.event.emit('variableBindDialog.openDialog', (0, _extends2["default"])({
      field: field
    }, res));
  };
  var _proto = SetterVariable.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: "lowcode-setter-variable"
    }, "Hello LowcodeSetterVariable");
  };
  return SetterVariable;
}(_react.PureComponent);
SetterVariable.displayName = 'SetterVariable';
SetterVariable.isPopup = true;