import { ComponentClass } from 'react';
import { SettingField } from '@gant-lowcode/lowcode-engine';
import { CustomView, DynamicProps, DynamicSetter, TitleContent } from '@gant-lowcode/lowcode-types';
import { MixedSetterController } from './config';
import './index.less';
export interface SetterItem {
    name: string;
    title: TitleContent;
    setter: string | DynamicSetter | CustomView;
    props?: object | DynamicProps;
    condition?: (field: SettingField) => boolean;
    initialValue?: any | ((field: SettingField) => any);
    list: boolean;
    valueType: string[];
}
interface MixedSetterType extends ComponentClass {
    controller: typeof MixedSetterController;
}
declare const _default: MixedSetterType;
export default _default;
