import * as React from 'react';
import { Component } from 'react';
import { IPublicTypeSetterType, IPublicModelSettingField, IPublicTypeFieldConfig, IPublicTypeTitleContent } from '@gant-lowcode/lowcode-types';
import './index.less';
export default class ObjectSetter extends Component<{
    field: IPublicModelSettingField;
    descriptor?: IPublicTypeTitleContent;
    config: ObjectSetterConfig;
    mode?: 'popup' | 'form';
    forceInline?: number;
}> {
    render(): React.JSX.Element;
}
interface ObjectSetterConfig {
    items?: IPublicTypeFieldConfig[];
    extraSetter?: IPublicTypeSetterType;
    canCloseByOutSideClick: boolean;
}
export {};
