"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.setLocale = exports.intlNode = exports.intl = exports.getLocale = void 0;
var _lowcodeEngine = require("@gant-lowcode/lowcode-engine");
var _enUS = _interopRequireDefault(require("./en-US.json"));
var _zhCN = _interopRequireDefault(require("./zh-CN.json"));
var editorCabin = _lowcodeEngine.common.editorCabin;
var createIntl = editorCabin.createIntl;
var _createIntl = createIntl({
    'en-US': _enUS["default"],
    'zh-CN': _zhCN["default"]
  }),
  intl = exports.intl = _createIntl.intl,
  intlNode = exports.intlNode = _createIntl.intlNode,
  getLocale = exports.getLocale = _createIntl.getLocale,
  setLocale = exports.setLocale = _createIntl.setLocale;